#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

from iobase.exception import NotFoundError
from ....util import is_quota_value_enabled


def _is_ftp(node):

    try:
        return node.get_node("shareservice/ftp").is_enabled()
    except NotFoundError:
        return False


def _is_quota(node):

    if is_quota_value_enabled(node, "shareservice/msshare/quota/limit"):
        return True
    return False


def _is_noguest(node):

    try:
        return node.get_node("shareservice/noguest").is_enabled()
    except NotFoundError:
        return False


def rule_ftp(node):

    if _is_ftp(node) and (_is_quota(node) or _is_noguest(node)):
        return False
    return True
